%if 0
/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *   Jason Kersey (kerz@netscape.com)
 *   Pierre Chanial (chanial@noos.fr)
 *   Dean Tessman (dean_tessman@hotmail.com)
 *   Blake Ross (blake@cs.stanford.edu)
 *   Pamela Greene (pamg.bugs@gmail.com)
 *   Dão Gottwald (dao@mozilla.com)
 *   Drew Willcoxon (adw@mozilla.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
%endif

@import url("chrome://global/skin/");

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
@namespace html url("http://www.w3.org/1999/xhtml");

%include ../../browserShared.inc
%filter substitution
%define toolbarHighlight rgba(255,255,255,.3)
%define selectedTabHighlight rgba(255,255,255,.8) 1px, rgba(255,255,255,.5) 3px

#menubar-items {
  -moz-box-orient: vertical; /* for flex hack */
}

#main-menubar {
  -moz-box-flex: 1; /* make menu items expand to fill toolbar height */
}

#navigator-toolbox {
  -moz-appearance: none;
  background-color: transparent;
  border-top: none;
}

#main-window:not([disablechrome]) #navigator-toolbox[tabsontop=true] {
  border-bottom: 1px solid ThreeDShadow;
}

#navigator-toolbox[tabsontop=true] > toolbar:not(:-moz-lwtheme):not(#toolbar-menubar):not(#TabsToolbar),
#navigator-toolbox[tabsontop=false] > toolbar:not(:-moz-lwtheme):not(#toolbar-menubar) {
  -moz-appearance: none;
  border-style: none;
  background-color: -moz-Dialog;
}

#navigator-toolbox > toolbar:not(#toolbar-menubar):not(#TabsToolbar) {
  padding-top: 1px;
  padding-bottom: 1px;
}

#nav-bar:not(:-moz-lwtheme),
#nav-bar[collapsed="true"] + toolbar:not(:-moz-lwtheme),
#nav-bar[collapsed="true"] + #customToolbars + #PersonalToolbar:not(:-moz-lwtheme),
#navigator-toolbox[tabsontop="true"] > #nav-bar,
#navigator-toolbox[tabsontop="true"]:not([customizing]) > #nav-bar[collapsed="true"] + toolbar,
#navigator-toolbox[tabsontop="true"]:not([customizing]) > #nav-bar[collapsed="true"] + #customToolbars + #PersonalToolbar {
  background-image: -moz-linear-gradient(@toolbarHighlight@, rgba(255,255,255,0));
}

#personal-bookmarks {
  min-height: 29px;
}

#browser-bottombox {
  /* opaque for layers optimization */
  background-color: -moz-Dialog;
}

#urlbar:-moz-lwtheme:not([focused="true"]),
.searchbar-textbox:-moz-lwtheme:not([focused="true"]) {
  opacity: .85;
}

/* Places toolbar */
toolbarbutton.bookmark-item {
  margin: 0;
  padding: 2px 3px;
}

toolbarbutton.bookmark-item:hover:active,
toolbarbutton.bookmark-item[open="true"] {
  padding-top: 3px;
  padding-bottom: 1px;
  -moz-padding-start: 4px;
  -moz-padding-end: 2px;
}

.bookmark-item > .toolbarbutton-icon {
  width: 16px;
  height: 16px;
}

/* Prevent [mode="icons"] from hiding the label */
.bookmark-item > .toolbarbutton-text {
  display: -moz-box !important;
}

.bookmark-item > .toolbarbutton-menu-dropmarker {
  display: none;
}

/* Dropmarker for folder bookmarks */
.bookmark-item[container] > .toolbarbutton-menu-dropmarker {
  display: -moz-box !important;
}

#wrapper-personal-bookmarks[place="palette"] > .toolbarpaletteitem-box {
  width: 16px;
  height: 16px;
  background: url("chrome://browser/skin/places/bookmarksToolbar.png") no-repeat;
}

.bookmarks-toolbar-customize {
  max-width: 15em !important;
  list-style-image: url("chrome://browser/skin/places/bookmarksToolbar.png") !important;
}

/* Bookmark menus */
menu.bookmark-item,
menuitem.bookmark-item {
  min-width: 0;
  max-width: 32em;
}

.bookmark-item > .menu-iconic-left {
  margin-top: 0;
  margin-bottom: 0;
}

.bookmark-item > .menu-iconic-left > .menu-iconic-icon {
  -moz-padding-start: 0px;
}

/* Bookmark drag and drop styles */
.bookmark-item[dragover-into="true"] {
  background: Highlight !important;
  color: HighlightText !important;
}

/* rules for menupopup drop indicators */
.menupopup-drop-indicator-bar {
  position: relative;
  /* these two margins must together compensate the indicator's height */
  margin-top: -1px;
  margin-bottom: -1px;
}

.menupopup-drop-indicator {
  list-style-image: none;
  height: 2px;
  -moz-margin-end: -4em;
  background-color: Highlight;
}

/* Bookmarks toolbar */
#PlacesToolbarDropIndicator {
  list-style-image: url(chrome://browser/skin/places/toolbarDropMarker.png);
}

/* Bookmark items */
.bookmark-item:not([container])  {
  list-style-image: url("moz-icon://stock/gtk-file?size=menu");
}

.bookmark-item[container] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

.bookmark-item[container][livemark] { 
  list-style-image: url("chrome://browser/skin/feeds/feedIcon16.png");
}

.bookmark-item[container][livemark] .bookmark-item {
  list-style-image: url("chrome://browser/skin/places/livemark-item.png");
}

.bookmark-item[container][query] {
  list-style-image: url("chrome://browser/skin/places/query.png");
}

.bookmark-item[query][tagContainer] {
  list-style-image: url("chrome://mozapps/skin/places/tagContainerIcon.png");
}

.bookmark-item[query][dayContainer] {
  list-style-image: url("chrome://browser/skin/places/calendar.png");
}

.bookmark-item[query][hostContainer] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

.bookmark-item[query][hostContainer][open] {
  list-style-image: url("moz-icon://stock/gtk-directory?size=menu");
}

/* Stock icons for the menu bar items */
menuitem:not([type]):not(.menuitem-tooltip):not(.menuitem-iconic-tooltip) {
  -moz-binding: url("chrome://global/content/bindings/menu.xml#menuitem-iconic");
}

#appmenu_newNavigator,
#placesContext_open\:newwindow,
#menu_newNavigator,
#context-openlink,
#context-openframe {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 80px 16px 64px);
}

#appmenu_newTab,
#appmenu_newTab_popup,
#placesContext_open\:newtab,
#placesContext_openContainer\:tabs,
#menu_newNavigatorTab,
#context-openlinkintab,
#context-openframeintab {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 64px 16px 48px);
}

#appmenu_openFile,
#menu_openFile {
  list-style-image: url("moz-icon://stock/gtk-open?size=menu");
}

#menu_close {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

#context-media-play {
  list-style-image: url("moz-icon://stock/gtk-media-play?size=menu");
}

#context-media-pause {
  list-style-image: url("moz-icon://stock/gtk-media-pause?size=menu");
}

#appmenu_savePage,
#menu_savePage,
#context-savelink,
#context-saveimage,
#context-savevideo,
#context-saveaudio,
#context-savepage,
#context-saveframe {
  list-style-image: url("moz-icon://stock/gtk-save-as?size=menu");
}

#appmenu_printPreview,
#menu_printPreview {
  list-style-image: url("moz-icon://stock/gtk-print-preview?size=menu");
}

#appmenu_print,
#appmenu_print_popup,
#menu_print,
#context-printframe {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu");
}

#appmenu-quit,
#menu_FileQuitItem {
  list-style-image: url("moz-icon://stock/gtk-quit?size=menu");
}

#menu_undo,
#context-undo {
  list-style-image: url("moz-icon://stock/gtk-undo?size=menu");
}

#menu_undo[disabled],
#context-undo[disabled] {
  list-style-image: url("moz-icon://stock/gtk-undo?size=menu&state=disabled");
}

#menu_redo {
  list-style-image: url("moz-icon://stock/gtk-redo?size=menu");
}

#menu_redo[disabled] {
  list-style-image: url("moz-icon://stock/gtk-redo?size=menu&state=disabled");
}

#menu_cut,
#placesContext_cut,
#context-cut {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu");
}

#menu_cut[disabled],
#placesContext_cut[disabled],
#context-cut[disabled] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu&state=disabled");
}

#menu_copy,
#placesContext_copy,
#context-copy,
#context-copyimage,
#context-copyvideourl,
#context-copyaudiourl,
#context-copylink,
#context-copyemail {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu");
}

#menu_copy[disabled],
#placesContext_copy[disabled],
#context-copy[disabled] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu&state=disabled");
}

#menu_paste,
#placesContext_paste,
#context-paste {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu");
}

#menu_paste[disabled],
#placesContext_paste[disabled],
#context-paste[disabled] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu&state=disabled");
}

#menu_delete,
#placesContext_delete,
#placesContext_delete_history,
#context-delete {
  list-style-image: url("moz-icon://stock/gtk-delete?size=menu");
}

#menu_delete[disabled],
#placesContext_delete[disabled],
#placesContext_delete_history[disabled],
#context-delete[disabled] {
  list-style-image: url("moz-icon://stock/gtk-delete?size=menu&state=disabled");
}

#menu_selectAll,
#context-selectall {
  list-style-image: url("moz-icon://stock/gtk-select-all?size=menu");
}

#appmenu_find,
#menu_find {
  list-style-image: url("moz-icon://stock/gtk-find?size=menu");
}

#menu_find[disabled] {
  list-style-image: url("moz-icon://stock/gtk-find?size=menu&state=disabled");
}

#appmenu_customize,
#appmenu_preferences,
#menu_preferences {
  list-style-image: url("moz-icon://stock/gtk-preferences?size=menu");
}

#menu_stop,
#context-stop {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu");
}

#menu_stop[disabled],
#context-stop[disabled] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu&state=disabled");
}

#menu_reload,
#placesContext_reload,
#placesContext_reloadMicrosummary,
#context-reload,
#context-reloadframe {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}

#menu_reload[disabled],
#context-reload[disabled] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu&state=disabled");
}

#menu_zoomEnlarge {
  list-style-image: url("moz-icon://stock/gtk-zoom-in?size=menu");
}

#menu_zoomReduce {
  list-style-image: url("moz-icon://stock/gtk-zoom-out?size=menu");
}

#menu_zoomReset {
  list-style-image: url("moz-icon://stock/gtk-zoom-100?size=menu");
}

#historyMenuBack,
#context-back {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu");
}

#historyMenuBack[disabled],
#context-back[disabled] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu&state=disabled");
}

#historyMenuBack:-moz-locale-dir(rtl),
#context-back:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu");
}

#historyMenuBack[disabled]:-moz-locale-dir(rtl),
#context-back[disabled]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu&state=disabled");
}

#historyMenuForward,
#context-forward {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu");
}

#historyMenuForward[disabled],
#context-forward[disabled] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu&state=disabled");
}

#historyMenuForward:-moz-locale-dir(rtl),
#context-forward:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu");
}

#historyMenuForward[disabled]:-moz-locale-dir(rtl),
#context-forward[disabled]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu&state=disabled");
}

#historyMenuHome {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu");
}

#appmenu_history,
#appmenu_showAllHistory,
#menu_showAllHistory {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 32px 16px 16px);
}

#appmenu_bookmarks,
#appmenu_showAllBookmarks,
#bookmarksShowAll {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 48px 16px 32px);
}

#subscribeToPageMenuitem:not([disabled]),
#subscribeToPageMenupopup,
#BMB_subscribeToPageMenuitem:not([disabled]),
#BMB_subscribeToPageMenupopup {
  list-style-image: url("chrome://browser/skin/page-livemarks.png");
}

#bookmarksToolbarFolderMenu,
#BMB_bookmarksToolbar {
  list-style-image: url("chrome://browser/skin/places/bookmarksToolbar.png");
}

#BMB_bookmarkThisPage {
  list-style-image: url("chrome://browser/skin/places/starPage.png");
}

#BMB_unsortedBookmarks {
  list-style-image: url("chrome://browser/skin/places/unsortedBookmarks.png");
}

#appmenu_downloads,
#menu_openDownloads {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}

#appmenu_addons,
#menu_openAddons {
  list-style-image: url("chrome://mozapps/skin/extensions/extensionGeneric-16.png");
}

#menu_pageInfo,
#context-viewinfo,
#context-viewframeinfo {
  list-style-image: url("moz-icon://stock/gtk-info?size=menu");
}

#appmenu_privateBrowsing,
#privateBrowsingItem {
  list-style-image: url("chrome://browser/skin/Privacy-16.png");
}

#placesContext_show\:info {
  list-style-image: url("moz-icon://stock/gtk-properties?size=menu");
}

#appmenu_sanitizeHistory,
#sanitizeItem {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu");
}

#appmenu_help,
#appmenu_openHelp,
#menu_openHelp {
  list-style-image: url("moz-icon://stock/gtk-help?size=menu");
}

#appmenu_about,
#aboutName {
  list-style-image: url("moz-icon://stock/gtk-about?size=menu");
}

#javascriptConsole {
  list-style-image: url("chrome://global/skin/console/console.png");
}

/* Primary toolbar buttons */
.toolbarbutton-1:not([type="menu-button"]) {
  -moz-box-orient: vertical;
  min-width: 0;
  list-style-image: url("chrome://browser/skin/Toolbar.png");
}

.toolbarbutton-1 > .toolbarbutton-icon {
  -moz-margin-end: 0;
}

toolbar[mode="full"] .toolbarbutton-1:not([type="menu-button"]),
toolbar[mode="full"] .toolbarbutton-1 > .toolbarbutton-menubutton-button {
  min-width: 57px;
}

.toolbarbutton-1:not([type="menu-button"]),
.toolbarbutton-1 > .toolbarbutton-menubutton-button {
  padding: 5px;
}

.toolbarbutton-1[checked="true"] {
  padding: 5px !important;
}

/* 24px primary toolbar buttons */
#back-button {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar");
}
#back-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=toolbar&state=disabled");
}

#back-button:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar");
}
#back-button[disabled="true"]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=toolbar&state=disabled");
}

#forward-button {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar");
}
#forward-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=toolbar&state=disabled");
}

#forward-button:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar");
}
#forward-button[disabled="true"]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=toolbar&state=disabled");
}

#reload-button {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=toolbar");
}
#reload-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=toolbar&state=disabled");
}

#stop-button {
  list-style-image: url("moz-icon://stock/gtk-stop?size=toolbar");
}
#stop-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=toolbar&state=disabled");
}

#home-button {
  list-style-image: url("moz-icon://stock/gtk-home?size=toolbar");
}
#home-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-home?size=toolbar&state=disabled");
}

/* tabview button */

#tabview-button {
  list-style-image: url(chrome://browser/skin/tabview/tabview.png);
  -moz-image-region: rect(0, 80px, 16px, 64px);
}

#tabview-button[groups="0"] {
  -moz-image-region: rect(0, 16px, 16px, 0);
}

#tabview-button[groups="1"] {
  -moz-image-region: rect(0, 32px, 16px, 16px);
}

#tabview-button[groups="2"] {
  -moz-image-region: rect(0, 48px, 16px, 32px);
}

#tabview-button[groups="3"] {
  -moz-image-region: rect(0, 64px, 16px, 48px);
}

#downloads-button {
  -moz-image-region: rect(0px 24px 24px 0px);
}

#history-button {
  -moz-image-region: rect(0px 48px 24px 24px);
}

#bookmarks-button,
#bookmarks-menu-button {
  -moz-image-region: rect(0px 72px 24px 48px);
}

#bookmarks-menu-button.bookmark-item {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
}

#bookmarks-menu-button.toolbarbutton-1 {
  -moz-box-orient: horizontal;
}

#print-button {
  list-style-image: url("moz-icon://stock/gtk-print?size=toolbar");
}
#print-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-print?size=toolbar&state=disabled");
}

#new-tab-button {
  -moz-image-region: rect(0px 96px 24px 72px);
}

#new-window-button {
  -moz-image-region: rect(0px 120px 24px 96px);
}

#cut-button {
  list-style-image: url("moz-icon://stock/gtk-cut?size=toolbar");
}
#cut-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=toolbar&state=disabled");
}

#copy-button {
  list-style-image: url("moz-icon://stock/gtk-copy?size=toolbar");
}
#copy-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=toolbar&state=disabled");
}

#paste-button {
  list-style-image: url("moz-icon://stock/gtk-paste?size=toolbar");
}
#paste-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=toolbar&state=disabled");
}

#fullscreen-button {
  list-style-image: url("moz-icon://stock/gtk-fullscreen?size=toolbar");
}

#zoom-out-button {
  list-style-image: url("moz-icon://stock/gtk-zoom-out?size=toolbar");
}

#zoom-in-button {
  list-style-image: url("moz-icon://stock/gtk-zoom-in?size=toolbar");
}

#sync-button {
  -moz-image-region: rect(0px 144px 24px 120px);
}
#sync-button[status="active"] {
  list-style-image: url("chrome://browser/skin/sync-24-throbber.png");
  -moz-image-region: rect(0px 24px 24px 0px);
}

#feed-button {
  -moz-image-region: rect(0px 168px 24px 144px);
}

#feed-button[disabled="true"] > .toolbarbutton-icon {
  opacity: .3;
}

/* 16px primary toolbar buttons */
toolbar[iconsize="small"] .toolbarbutton-1:not([type="menu-button"]) {
  -moz-box-orient: vertical;
  min-width: 0;
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
}

toolbar[iconsize="small"] .toolbarbutton-1[type="menu-button"] {
  border: 0 !important;
}

toolbar[iconsize="small"] #back-button {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu");
}
.unified-nav-back[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu") !important;
}
toolbar[iconsize="small"] #back-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-back-ltr?size=menu&state=disabled");
}

toolbar[iconsize="small"] #back-button:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu");
}
.unified-nav-back[_moz-menuactive]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu") !important;
}
toolbar[iconsize="small"] #back-button[disabled="true"]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-back-rtl?size=menu&state=disabled");
}

toolbar[iconsize="small"] #forward-button {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu");
}
.unified-nav-forward[_moz-menuactive] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu") !important;
}
toolbar[iconsize="small"] #forward-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-go-forward-ltr?size=menu&state=disabled");
}

toolbar[iconsize="small"] #forward-button:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu");
}
.unified-nav-forward[_moz-menuactive]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu") !important;
}
toolbar[iconsize="small"] #forward-button[disabled="true"]:-moz-locale-dir(rtl) {
  list-style-image: url("moz-icon://stock/gtk-go-forward-rtl?size=menu&state=disabled");
}

toolbar[iconsize="small"] #stop-button {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu");
}
toolbar[iconsize="small"] #stop-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-stop?size=menu&state=disabled");
}

toolbar[iconsize="small"] #reload-button {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}
toolbar[iconsize="small"] #reload-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu&state=disabled");
}

toolbar[iconsize="small"] #home-button,
#home-button.bookmark-item {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu");
}
toolbar[iconsize="small"] #home-button[disabled="true"],
#home-button.bookmark-item[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-home?size=menu&state=disabled");
}

toolbar[iconsize="small"] #downloads-button {
  -moz-image-region: rect(0px 16px 16px 0px);
}

toolbar[iconsize="small"] #history-button {
  -moz-image-region: rect(0px 32px 16px 16px);
}

toolbar[iconsize="small"] #bookmarks-button,
toolbar[iconsize="small"] #bookmarks-menu-button,
#bookmarks-menu-button.bookmark-item {
  -moz-image-region: rect(0px 48px 16px 32px);
}

toolbar[iconsize="small"] #print-button {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu");
}
toolbar[iconsize="small"] #print-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-print?size=menu&state=disabled");
}

toolbar[iconsize="small"] #new-tab-button {
  -moz-image-region: rect(0px 64px 16px 48px);
}

toolbar[iconsize="small"] #new-window-button {
  -moz-image-region: rect(0px 80px 16px 64px);
}

toolbar[iconsize="small"] #cut-button {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu");
}
toolbar[iconsize="small"] #cut-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu&state=disabled");
}

toolbar[iconsize="small"] #copy-button {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu");
}
toolbar[iconsize="small"] #copy-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu&state=disabled");
}

toolbar[iconsize="small"] #paste-button {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu");
}
toolbar[iconsize="small"] #paste-button[disabled="true"] {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu&state=disabled");
}

toolbar[iconsize="small"] #fullscreen-button {
  list-style-image: url("moz-icon://stock/gtk-fullscreen?size=menu");
}

toolbar[iconsize="small"] #zoom-out-button {
  list-style-image: url("moz-icon://stock/gtk-zoom-out?size=menu");
}

toolbar[iconsize="small"] #zoom-in-button {
  list-style-image: url("moz-icon://stock/gtk-zoom-in?size=menu");
}

toolbar[iconsize="small"] #sync-button {
  -moz-image-region: rect(0px 96px 16px 80px);
}
toolbar[iconsize="small"] #sync-button[status="active"] {
  list-style-image: url("chrome://browser/skin/sync-16-throbber.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}

toolbar[iconsize="small"] #feed-button {
  -moz-image-region: rect(0px 112px 16px 96px);
}

/* Fullscreen window controls */
#window-controls {
  -moz-box-align: start;
  -moz-margin-start: 10px;
}

#minimize-button {
  list-style-image: url("chrome://global/skin/icons/Minimize.gif");
}
#restore-button {
  list-style-image: url("chrome://global/skin/icons/Restore.gif");
}
#close-button {
  list-style-image: url("chrome://global/skin/icons/Close.gif");
}

/* Location bar */
#urlbar {
  width: 7em;
  min-width: 7em;
  -moz-appearance: textfield;
  padding: 0;
}

.urlbar-textbox-container {
  -moz-appearance: none;
  -moz-box-align: stretch;
}

.urlbar-history-dropmarker {
  -moz-appearance: toolbarbutton-dropdown;
}

#urlbar-container {
  -moz-box-orient: horizontal;
  -moz-box-align: stretch;
}

#urlbar-icons {
  -moz-box-align: center;
  -moz-padding-end: 2px;
}

.urlbar-icon {
  cursor: pointer;
}

#urlbar-search-splitter {
  -moz-appearance: none;
  width: 8px;
  -moz-margin-start: -4px;
}

#urlbar-search-splitter + #urlbar-container > #urlbar ,
#urlbar-search-splitter + #search-container > #searchbar > .searchbar-textbox {
  -moz-margin-start: 0;
}

#urlbar-display-box {
  margin-top: -1px;
  margin-bottom: -1px;
  -moz-border-end: 1px solid #AAA;
  -moz-margin-end: 3px;
}

#urlbar-display {
  margin-top: 0;
  margin-bottom: 0;
  color: GrayText;
}

/* Favicon */
#page-proxy-favicon,
#urlbar-throbber {
  width: 16px;
  height: 16px;
}

#page-proxy-stack {
  width: 24px;
  height: 20px;
  padding: 2px 4px;
  background: url(urlbar-favicon-glow.png) center center no-repeat;
}

#page-proxy-favicon:not([src]) {
  list-style-image: url("moz-icon://stock/gtk-file?size=menu");
}

#page-proxy-favicon[pageproxystate="invalid"] {
  opacity: 0.3;
}

#urlbar-throbber {
  list-style-image: url("chrome://browser/skin/places/searching_16.png");
}

/* Identity indicator */
#identity-box {
  background-color: rgb(95%,95%,95%);
  background-image: -moz-linear-gradient(rgba(170,170,170,.25), rgba(0,0,0,.3));
  color: #444;
  box-shadow: 0 0 0 1px rgba(0,0,0,.1) inset;
  border-radius: 1.5px;
}

#identity-box:-moz-focusring {
  outline: 1px dotted -moz-DialogText;
}

#identity-box:hover:active,
#identity-box[open="true"] {
  background-image: -moz-linear-gradient(rgba(0,0,0,.4), rgba(0,0,0,.1));
}

#identity-icon-labels {
  -moz-padding-start: 2px;
  -moz-padding-end: 3px;
}

#identity-box.verifiedDomain {
  background-color: rgba(30, 80, 170, 0.7);
  color: white;
  text-shadow: 0 1px 0 rgba(0,0,0,.25);
}

#identity-box.verifiedIdentity {
  background-color: rgba(50, 150, 50, 0.8);
  color: white;
  text-shadow: 0 1px 0 rgba(0,0,0,.25);
}

/* Identity popup icons */
#identity-popup-icon {
  height: 64px;
  width: 64px;
  padding: 0;
  list-style-image: url("chrome://browser/skin/identity.png");
  -moz-image-region: rect(0px, 64px, 64px, 0px);
}

#identity-popup.verifiedDomain > #identity-popup-container > #identity-popup-icon {
  -moz-image-region: rect(64px, 64px, 128px, 0px);
}

#identity-popup.verifiedIdentity > #identity-popup-container > #identity-popup-icon {
  -moz-image-region: rect(128px, 64px, 192px, 0px);
}

/* Identity popup body text */
.identity-popup-description {
  white-space: pre-wrap;
  -moz-padding-start: 15px;
  margin: 2px 0 4px;
}

.identity-popup-label {
  white-space: pre-wrap;
  -moz-padding-start: 15px;
  margin: 0;
}

#identity-popup-content-host ,
#identity-popup-content-owner {
  font-weight: bold;
  max-width: 300px;
}

#identity-popup-content-host ,
#identity-popup-content-box.verifiedIdentity > #identity-popup-content-owner {
  font-size: 140%;
}

#identity-popup-content-owner {
  margin-bottom: 0 !important;
}

#identity-popup-content-verifier {
  margin: 4px 0 2px;
}

#identity-popup-content-box.verifiedIdentity > #identity-popup-encryption ,
#identity-popup-content-box.verifiedDomain > #identity-popup-encryption {
  margin-top: 10px;
  -moz-margin-start: -18px;
}

#identity-popup-content-box.verifiedIdentity > #identity-popup-encryption > vbox > #identity-popup-encryption-icon ,
#identity-popup-content-box.verifiedDomain > #identity-popup-encryption > vbox > #identity-popup-encryption-icon {
  list-style-image: url("chrome://browser/skin/Secure.png");
}

/* Identity popup bounding box */
#identity-popup-container {
  min-width: 280px;
}

/* Notification popup */
#notification-popup {
  min-width: 280px;
}

.popup-notification-icon {
  width: 64px;
  height: 64px;
  -moz-margin-end: 10px;
}

.popup-notification-icon[popupid="geolocation"] {
  list-style-image: url(chrome://browser/skin/Geolocation-64.png);
}

.popup-notification-icon[popupid="xpinstall-disabled"],
.popup-notification-icon[popupid="addon-progress"],
.popup-notification-icon[popupid="addon-install-cancelled"],
.popup-notification-icon[popupid="addon-install-blocked"],
.popup-notification-icon[popupid="addon-install-failed"],
.popup-notification-icon[popupid="addon-install-complete"] {
  list-style-image: url(chrome://mozapps/skin/extensions/extensionGeneric.png);
  width: 32px;
  height: 32px;
}

.addon-progress-description {
  width: 350px;
  max-width: 350px;
}

.popup-progress-label,
.popup-progress-meter {
  -moz-margin-start: 0;
  -moz-margin-end: 0;
}

.popup-progress-cancel {
  -moz-appearance: none;
  background: transparent;
  border: none;
  padding: 0;
  margin: 0;
  -moz-margin-start: 5px;
  min-height: 0;
  min-width: 0;
  list-style-image: url("moz-icon://stock/gtk-cancel?size=menu");
}

.popup-notification-icon[popupid="indexedDB-permissions-prompt"],
.popup-notification-icon[popupid="indexedDB-quota-prompt"] {
  list-style-image: url(chrome://global/skin/icons/question-64.png);
}

.popup-notification-icon[popupid="password-save"],
.popup-notification-icon[popupid="password-change"] {
  list-style-image: url(chrome://mozapps/skin/passwordmgr/key-64.png);
}

/* Notification icon box */
#notification-popup-box {
  margin: 0 3px;
}

.notification-anchor-icon {
  width: 16px;
  height: 16px;
}

.notification-anchor-icon:-moz-focusring {
  outline: 1px dotted -moz-DialogText;
}

#default-notification-icon {
  list-style-image: url(chrome://global/skin/icons/information-16.png);
}

#geo-notification-icon {
  list-style-image: url(chrome://browser/skin/Geolocation-16.png);
}

#addons-notification-icon {
  list-style-image: url(chrome://mozapps/skin/extensions/extensionGeneric-16.png);
}

#indexedDB-notification-icon {
  list-style-image: url(chrome://global/skin/icons/question-16.png);
}

#password-notification-icon {
  list-style-image: url(chrome://mozapps/skin/passwordmgr/key-16.png);
}

#treecolAutoCompleteImage {
  max-width : 36px; 
}

.ac-result-type-bookmark,
.autocomplete-treebody::-moz-tree-image(bookmark, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
  width: 16px;
  height: 16px;
}

.ac-result-type-keyword,
.autocomplete-treebody::-moz-tree-image(keyword, treecolAutoCompleteImage) {
  list-style-image: url(moz-icon://stock/gtk-find?size=menu);
  width: 16px;
  height: 16px;
}

.ac-result-type-tag,
.autocomplete-treebody::-moz-tree-image(tag, treecolAutoCompleteImage) {
  list-style-image: url("chrome://browser/skin/places/tag.png");
  width: 16px;
  height: 16px;
}

.ac-comment {
  font-size: 1.15em;
}

.ac-extra > .ac-comment {
  font-size: inherit;
}

.ac-url-text,
.ac-action-text {
  color: -moz-nativehyperlinktext;
}

richlistitem[type~="action"][actiontype="switchtab"] > .ac-url-box > .ac-action-icon {
  list-style-image: url("chrome://browser/skin/actionicon-tab.png");
}

.autocomplete-treebody::-moz-tree-cell-text(treecolAutoCompleteComment) {
  color: GrayText;
}

.ac-comment[selected="true"],
.ac-url-text[selected="true"],
.ac-action-text[selected="true"] {
  color: inherit !important;
}

.autocomplete-treebody::-moz-tree-cell-text(suggesthint, treecolAutoCompleteComment), 
.autocomplete-treebody::-moz-tree-cell-text(suggestfirst, treecolAutoCompleteComment) {
  color: GrayText;
  font-size: smaller;
}

.autocomplete-treebody::-moz-tree-cell(suggesthint) {
  border-top: 1px solid GrayText;
}

/* Go button */

#go-button {
  padding: 3px 2px 2px 2px;
  list-style-image: url("chrome://browser/skin/Go-arrow.png");
}

#go-button:-moz-locale-dir(rtl) > .toolbarbutton-icon {
  -moz-transform: scaleX(-1);
}

/* Combined go/reload/stop button in location bar */

#urlbar > toolbarbutton {
  -moz-appearance: none;
  list-style-image: url("chrome://browser/skin/reload-stop-go.png");
  margin: -2px;
  -moz-margin-start: 0;
  padding: 0 3px;
  background-origin: border-box;
  border: none;
  -moz-border-start: 1px solid rgba(0,0,0,.35);
}

#urlbar:-moz-locale-dir(ltr) > toolbarbutton {
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

#urlbar:-moz-locale-dir(rtl) > toolbarbutton {
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

#urlbar > toolbarbutton:not([disabled]):active:hover {
  -moz-padding-start: 4px;
  -moz-border-start: none;
  box-shadow: 0 0 6.5px rgba(0,0,0,.4) inset,
              0 0 2px rgba(0,0,0,.4) inset;
}

#urlbar-go-button {
  -moz-image-region: rect(0px, 56px, 14px, 42px);
  background-image: -moz-linear-gradient(rgb(143,219,69), rgb(115,177,57));
  box-shadow: 0 1px 0 rgba(0,0,0,.1) inset,
              -1px -1px 0 rgba(255,255,255,.2) inset;
}

#urlbar-go-button:-moz-locale-dir(rtl) > .toolbarbutton-icon {
  -moz-transform: scaleX(-1);
}

#urlbar-go-button:hover {
  background-image: -moz-linear-gradient(rgb(163,232,92), rgb(137,196,81));
}

#urlbar-reload-button {
  -moz-image-region: rect(0px, 14px, 14px, 0px);
}

#urlbar-reload-button:not([disabled]):hover {
  -moz-image-region: rect(0px, 28px, 14px, 14px);
  background-image: -moz-linear-gradient(rgb(137,183,233), rgb(79,130,195));
  box-shadow: 0 1px 0 rgba(0,0,0,.1) inset,
              -1px -1px 0 rgba(255,255,255,.2) inset;
}

#urlbar-stop-button {
  -moz-image-region: rect(0px, 42px, 14px, 28px);
  background-image: -moz-linear-gradient(rgb(226,99,99), rgb(199,68,68));
  box-shadow: 0 1px 0 rgba(0,0,0,.1) inset,
              -1px -1px 0 rgba(255,255,255,.2) inset;
}

#urlbar-stop-button:hover {
  background-image: -moz-linear-gradient(rgb(237,120,120), rgb(216,92,92));
}

/* Popup blocker button */
#page-report-button {
  list-style-image: url("chrome://browser/skin/Info.png");
}

/* Star button */
#star-button {
  padding: 1px;
  list-style-image: url("chrome://browser/skin/places/starPage.png");
}

#star-button[starred="true"] {
  list-style-image: url("chrome://browser/skin/places/pageStarred.png");
}

/* Bookmarking panel */
#editBookmarkPanelStarIcon {
  list-style-image: url("chrome://browser/skin/places/starred48.png");
  width: 48px;
  height: 48px;
}

#editBookmarkPanelStarIcon[unstarred] {
  list-style-image: url("chrome://browser/skin/places/unstarred48.png");
}

#editBookmarkPanelTitle {
  font-size: 130%;
}

#editBookmarkPanelHeader,
#editBookmarkPanelContent {
  margin-bottom: .5em;
}

/* Implements editBookmarkPanel resizing on folderTree un-collapse. */
#editBMPanel_folderTree {
  min-width: 27em;
}

/* Content area */
#sidebar {
  background-color: Window;
}

/* Throbber */
#navigator-throbber {
  width: 16px;
  min-height: 16px;
  margin: 0 3px;
}

#navigator-throbber[busy="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
}

#navigator-throbber,
#wrapper-navigator-throbber > #navigator-throbber {
  list-style-image: url("chrome://global/skin/icons/notloading_16.png");
}

/* Tabstrip */

#TabsToolbar {
  min-height: 0;
  padding: 0;
}

#TabsToolbar[tabsontop=true]:not(:-moz-lwtheme) {
  -moz-appearance: menubar;
  color: -moz-menubartext;
}

#TabsToolbar[tabsontop=false] {
  background-image:
    -moz-linear-gradient(bottom, rgba(0,0,0,.3) 1px, rgba(0,0,0,.05) 1px, transparent 50%);
}

.tabbrowser-tab,
.tabs-newtab-button {
  position: static;
  -moz-appearance: none;
  background: -moz-linear-gradient(hsla(0,0%,100%,.2), hsla(0,0%,45%,.2) 2px, hsla(0,0%,32%,.2) 80%);
  background-origin: border-box;
  background-position: 1px 2px;
  background-size: 100% -moz-calc(100% - 2px);
  background-repeat: no-repeat;
  color: inherit;
  margin: 0;
  padding: 0;
  -moz-border-image: url(tabbrowser/tab.png) 4 5 3 6 / 4px 5px 3px 6px repeat stretch;
  border-radius: 10px 8px 0 0;
  min-height: 25px; /* reserve space for the sometimes hidden close button */
}

.tabbrowser-tab:hover,
.tabs-newtab-button:hover {
  background-image: -moz-linear-gradient(hsla(0,0%,100%,.6), hsla(0,0%,100%,.2) 4px, hsla(0,0%,75%,.2) 80%);
}

.tabbrowser-tab[selected="true"] {
  background-image: -moz-linear-gradient(@selectedTabHighlight@, @toolbarHighlight@ 32%),
                    -moz-linear-gradient(-moz-dialog, -moz-dialog);
  color: -moz-dialogtext;
}

#main-window[tabsontop=false]:not([disablechrome]) .tabbrowser-tab[selected=true]:not(:-moz-lwtheme) {
  background-image: -moz-linear-gradient(bottom, rgba(0,0,0,.3) 1px, transparent 1px),
                    -moz-linear-gradient(@selectedTabHighlight@, @toolbarHighlight@ 32%),
                    -moz-linear-gradient(-moz-dialog, -moz-dialog);
}

.tabbrowser-tab[selected="true"]:-moz-lwtheme {
  background-image: -moz-linear-gradient(@selectedTabHighlight@, @toolbarHighlight@ 32%);
  color: inherit;
}

.tabbrowser-tab:-moz-lwtheme-brighttext:not([selected="true"]),
.tabs-newtab-button:-moz-lwtheme-brighttext {
  background-image: -moz-linear-gradient(hsla(0,0%,60%,.6), hsla(0,0%,40%,.6) 4px, hsla(0,0%,30%,.6) 80%);
}

.tabbrowser-tab:-moz-lwtheme-brighttext:not([selected="true"]):hover,
.tabs-newtab-button:-moz-lwtheme-brighttext:hover {
  background-image: -moz-linear-gradient(hsla(0,0%,80%,.6), hsla(0,0%,60%,.6) 4px, hsla(0,0%,45%,.6) 80%);
}

.tabbrowser-tab:-moz-lwtheme-darktext:not([selected="true"]),
.tabs-newtab-button:-moz-lwtheme-darktext {
  background-image: -moz-linear-gradient(hsla(0,0%,100%,.5), hsla(0,0%,60%,.5) 4px, hsla(0,0%,45%,.5) 80%);
}

.tabbrowser-tab:-moz-lwtheme-darktext:not([selected="true"]):hover,
.tabs-newtab-button:-moz-lwtheme-darktext:hover {
  background-image: -moz-linear-gradient(hsla(0,0%,100%,.5), hsla(0,0%,80%,.5) 4px, hsla(0,0%,60%,.5) 80%);
}

.tabbrowser-tab[pinned][titlechanged]:not([selected="true"]) {
  background-image: -moz-radial-gradient(center 3px, circle cover, rgba(233,242,252,1) 3%, rgba(172,206,255,.75) 40%, rgba(87,151,201,.5) 80%, rgba(87,151,201,0));
}
.tabbrowser-tab[pinned][titlechanged]:not([selected="true"]):hover {
  background-image: -moz-linear-gradient(hsla(0,0%,100%,.8), hsla(0,0%,100%,.6) 2px, hsla(0,0%,75%,.2) 80%),
                    -moz-radial-gradient(center 3px, circle cover, rgba(233,242,252,1) 3%, rgba(172,206,255,.75) 40%, rgba(87,151,201,.5) 80%, rgba(87,151,201,0));
}

#tabbrowser-tabs[positionpinnedtabs] > .tabbrowser-tab[pinned] {
  min-height: 18px; /* corresponds to the max. height of non-textual tab contents, i.e. the tab close button */
}

.tabbrowser-tab:focus > .tab-stack {
  outline: 1px dotted;
}

.tab-throbber,
.tab-icon-image {
  width: 16px;
  height: 16px;
  -moz-margin-end: 3px;
  list-style-image: url("moz-icon://stock/gtk-file?size=menu");
}

.tab-throbber {
  list-style-image: url("chrome://browser/skin/tabbrowser/connecting.png");
}

.tab-throbber[progress] {
  list-style-image: url("chrome://browser/skin/tabbrowser/loading.png");
}

.tab-throbber[pinned],
.tab-icon-image[pinned],
.tabs-newtab-button > .toolbarbutton-icon {
  -moz-margin-start: 2px;
  -moz-margin-end: 2px;
}

#context_reloadTab {
  list-style-image: url("moz-icon://stock/gtk-refresh?size=menu");
}

#context_closeOtherTabs {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu");
}

#context_closeOtherTabs[disabled] {
  list-style-image: url("moz-icon://stock/gtk-clear?size=menu&state=disabled");
}

#context_undoCloseTab {
  list-style-image: url("moz-icon://stock/gtk-undelete?size=menu");
}

#context_closeTab {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

/* Tab drag and drop */
.tab-drop-indicator {
  list-style-image: url(chrome://browser/skin/tabbrowser/tabDragIndicator.png);
  margin-bottom: -11px;
}

/* In-tab close button */
.tab-close-button > .toolbarbutton-icon {
  /* XXX Buttons have padding in widget/ that we don't want here but can't override with good CSS, so we must
     use evil CSS to give the impression of smaller content */
  margin: -4px;
}

.tab-close-button {
  padding: 0;
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
  margin-top: -1px;
  margin-bottom: -1px;
  -moz-margin-end: -1px;
}

/* Tabstrip new tab button */
.tabs-newtab-button,
#TabsToolbar > #new-tab-button ,
#TabsToolbar > #wrapper-new-tab-button > #new-tab-button {
  list-style-image: url("moz-icon://stock/gtk-add?size=menu");
  -moz-image-region: auto;
}

/* Tabstrip close button */
.tabs-closebutton {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

.tabs-closebutton > .toolbarbutton-icon {
  /* XXX Buttons have padding in widget/ that we don't want here but can't override with good CSS, so we must
     use evil CSS to give the impression of smaller content */
  margin: -2px;
}

/* Tabbrowser arrowscrollbox arrows */
.tabbrowser-arrowscrollbox > .scrollbutton-up,
.tabbrowser-arrowscrollbox > .scrollbutton-down {
  -moz-appearance: none;
  margin: 0;
}

.tabbrowser-arrowscrollbox > .scrollbutton-up {
  -moz-border-start: 0;
  -moz-border-end: 2px solid transparent;
}

.tabbrowser-arrowscrollbox > .scrollbutton-down {
  -moz-border-start: 2px solid transparent;
  -moz-border-end: 0;
  -moz-transition: 1s box-shadow ease-out;
  border-radius: 4px;
}

.tabbrowser-arrowscrollbox > .scrollbutton-down[notifybgtab] {
  box-shadow: 0 0 5px 5px Highlight inset;
  -moz-transition: none;
}

.tabbrowser-arrowscrollbox > .scrollbutton-up:not([disabled]):-moz-locale-dir(ltr),
.tabbrowser-arrowscrollbox > .scrollbutton-down:not([disabled]):-moz-locale-dir(rtl) {
  -moz-border-image: url("chrome://browser/skin/tabbrowser/tab-overflow-border.png") 0 2 0 2 / 0 2px 0 0;
}

.tabbrowser-arrowscrollbox > .scrollbutton-down:not([disabled]):-moz-locale-dir(ltr),
.tabbrowser-arrowscrollbox > .scrollbutton-up:not([disabled]):-moz-locale-dir(rtl) {
  -moz-border-image: url("chrome://browser/skin/tabbrowser/tab-overflow-border.png") 0 2 0 2 / 0 0 0 2px;
}

#TabsToolbar .toolbarbutton-1 > .toolbarbutton-icon,
#TabsToolbar .toolbarbutton-1 > .toolbarbutton-menu-dropmarker,
#TabsToolbar .toolbarbutton-1 > .toolbarbutton-menubutton-button > .toolbarbutton-icon {
  margin-top: -2px;
  margin-bottom: -2px;
}

#alltabs-button > .toolbarbutton-icon {
  list-style-image: url("chrome://browser/skin/tabbrowser/alltabs.png");
  margin: 2px 0 1px;
}

#alltabs-button[type="menu"] > .toolbarbutton-menu-dropmarker {
  margin-bottom: -2px;
}

#alltabs-button[type="menu"] > .toolbarbutton-icon {
  display: none;
}

/* All tabs menupopup */
.alltabs-item > .menu-iconic-left > .menu-iconic-icon {
  list-style-image: url("moz-icon://stock/gtk-file?size=menu");
}

.alltabs-item[selected="true"] {
  font-weight: bold;
}

.alltabs-item[busy] > .menu-iconic-left > .menu-iconic-icon {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
}

/* Sidebar */
#sidebar-header > .tabs-closebutton {
  margin-bottom: 0px !important;
  padding: 0px 2px 0px 2px !important;
}

#sidebar-throbber[loading="true"] {
  list-style-image: url("chrome://global/skin/icons/loading_16.png");
  -moz-margin-end: 4px;
}

toolbarbutton.chevron {
  list-style-image: url("chrome://global/skin/toolbar/chevron.gif") !important;
}

toolbarbutton.chevron:-moz-locale-dir(rtl) > .toolbarbutton-icon {
  -moz-transform: scaleX(-1);
}

toolbarbutton.chevron > .toolbarbutton-text,
toolbarbutton.chevron > .toolbarbutton-menu-dropmarker {
  display: none;
}

toolbarbutton.chevron > .toolbarbutton-icon {
  margin: 0;
}

toolbar[mode="text"] toolbarbutton.chevron > .toolbarbutton-icon {
  display: -moz-box; /* display chevron icon in text mode */
}

#download-monitor {
  list-style-image: url("chrome://browser/skin/Toolbar-small.png");
  -moz-image-region: rect(0px 16px 16px 0px);
}


/* ::::: Keyboard UI Panel ::::: */

.KUI-panel-closebutton {
  list-style-image: url(KUI-close.png);
}

.KUI-panel-closebutton > .toolbarbutton-icon {
  margin: 0;
}

/* ::::: Ctrl-Tab and All Tabs Panels ::::: */

.ctrlTab-preview,
.allTabs-preview {
  -moz-appearance: toolbarbutton;
}

.tabPreview-canvas {
  box-shadow: 0 0 5px ThreeDShadow;
}

.ctrlTab-preview:focus .tabPreview-canvas,
.ctrlTab-preview:hover .tabPreview-canvas,
.allTabs-preview:focus .tabPreview-canvas,
.allTabs-preview:hover .tabPreview-canvas {
  box-shadow: none;
}

.ctrlTab-favicon[src],
.allTabs-favicon[src] {
  background-color: white;
  width: 20px;
  height: 20px;
  padding: 2px;
}

/* Ctrl-Tab */

#ctrlTab-panel {
  padding: 10px;
}

.ctrlTab-preview:not(#ctrlTab-showAll) .tabPreview-canvas {
  margin-bottom: 2px;
}

#ctrlTab-showAll {
  -moz-appearance: button;
  color: ButtonText;
  padding: 0 3px;
  margin-top: 10px;
}

/* All Tabs */

#allTabs-panel {
  padding-bottom: 10px;
}

#allTabs-meta {
  padding: 5px;
}

#allTabs-filter {
  -moz-margin-start: 36px;
  -moz-margin-end: 0;
}

.allTabs-preview-label {
  -moz-transform: translate(0, 2px);
}

/* Application button menu */

.splitmenu-menuitem {
  -moz-margin-end: 1px;
}

#appmenu-toolbar-button:not(:hover):not([open]):not(:-moz-lwtheme) {
  color: inherit;
}

#appmenu-toolbar-button > .toolbarbutton-text,
#appmenu-toolbar-button > .toolbarbutton-menu-dropmarker {
  margin-top: -2px !important;
  margin-bottom: -2px !important;
}
#appmenuSecondaryPane {
  -moz-border-start: 1px solid ThreeDShadow;
}
#appmenuSecondaryPane-spacer {
  min-height: 1em;
}
#appmenu-cut,
#appmenu-editmenu-cut {
  list-style-image: url("moz-icon://stock/gtk-cut?size=menu");
}
#appmenu-copy,
#appmenu-editmenu-copy {
  list-style-image: url("moz-icon://stock/gtk-copy?size=menu");
}
#appmenu-paste,
#appmenu-editmenu-paste {
  list-style-image: url("moz-icon://stock/gtk-paste?size=menu");
}
#wrapper-appmenu-toolbar-button,
.appmenu-edit-button[disabled="true"] {
  opacity: .3;
}

/* Inspector / Highlighter */

#highlighter-panel {
  -moz-appearance: none;
  -moz-window-shadow: none;
  background: -moz-linear-gradient(top -1deg, #ffdd88, #ffeeaa);
  border: none;
  opacity: 0.35;
}

listitem.style-selector {
  background-color: DarkGray;
  color: white;
}

listitem.style-section {
  background-color: LightGray;
  color: black;
  font-weight: bold;
}

panel[dimmed="true"] {
  opacity: 0.5;
}

/* Add-on bar */

#addon-bar {
  box-shadow: 0 1px 0 rgba(0,0,0,.15) inset;
  padding: 0;
  min-height: 20px;
}

#status-bar {
  min-height: 0;
}

#status-bar > statusbarpanel {
  border-width: 0;
  -moz-appearance: none;
}

#addonbar-closebutton {
  list-style-image: url("moz-icon://stock/gtk-close?size=menu");
}

#addonbar-closebutton > .toolbarbutton-icon {
  margin-top: -2px;
  margin-bottom: -2px;
}

/* Status panel */

.statuspanel-label {
  margin: 0;
  padding: 2px 4px;
  background: -moz-linear-gradient(white, #ddd);
  border: 1px none #ccc;
  border-top-style: solid;
  color: #333;
  text-shadow: none;
}

.statuspanel-label:-moz-locale-dir(ltr):not([mirror]),
.statuspanel-label:-moz-locale-dir(rtl)[mirror] {
  border-right-style: solid;
  border-top-right-radius: .3em;
  margin-right: 1em;
}

.statuspanel-label:-moz-locale-dir(rtl):not([mirror]),
.statuspanel-label:-moz-locale-dir(ltr)[mirror] {
  border-left-style: solid;
  border-top-left-radius: .3em;
  margin-left: 1em;
}
